
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hibernate中带查询条件的分页 / iVAN</title>

    <meta name="description" content="hibernate中带查询条件的分页 所谓分页,从数据库中分,则是封装一个分页类.利用分页对象进行分页. 但,分页往往带查询条件.   分页类的三个重要数据:[当前页码数],[数据库中的总记录数],[每页显示的数据的条数] 原理:select * from  [表名] where   [字段名]  like   ['%条件%']    limit  [开始查询的索引],[每页显示的数据]   带查询条件的分页分两步 (1)第一步:查询出符合条件的数据的总条数  ----&gt;select count(*) from [表名] wh ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">hibernate中带查询条件的分页</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>所谓分页，从数据库中分，则是封装一个分页类。利用分页对象进行分页。</p>
<p>但，分页往往带查询条件。</p>
<p> </p>
<p><strong>分页类的三个重要数据</strong>：【当前页码数】，【数据库中的总记录数】，【每页显示的数据的条数】</p>
<p><strong>原理</strong>：select *　from  【表名】 where   【字段名】  like   【'%条件%'】    limit  【开始查询的索引】，【每页显示的数据】</p>
<p> </p>
<p><strong>带查询条件的分页分两步</strong></p>
<p>　　　　　　　　　（1）第一步：查询出符合条件的数据的总条数 </p>
<p>　　　　　　　　　　　　　　　　----&gt;select count(*) from 【表名】 where  【字段名】 like 【条件】</p>
<p>　　　　　　　　　（2）第二步:提供三个重要数据，生成分页对象，然后查询数据库中指定页码的数据</p>
<p>　　　　　　　　　　　　　　　　----&gt;select *　from  【表名】 where   【字段名】  like   【'%条件%'】    limit  【开始查询的索引】，【每页显示的数据】</p>
<p> </p>
<p> </p>
<p>hibernate框架下的分页【带查询条件的分页核心源代码】</p>
<p>　　（1）获取符合条件的的数据的总记录数的方法</p>
<p>　　/**<br />     * 获取数据库中带查询条件的数据的记录数<br />    * @Title: countByName <br />    * @Description: TODO(这里用一句话描述这个方法的作用) <br />    * @param seachName 查询条件<br />    * @return<br />    * @return Integer    返回符合条件的数据的总记录数<br />    * @author 尚晓飞<br />    * @date 2014-7-1 上午9:22:14<br />     */<br />    public Integer countByName(final String seachName){<br />        return super.getHibernateTemplate().execute(new HibernateCallback&lt;Integer&gt;() {</p>
<p>            public Integer doInHibernate(Session session)<br />                    throws HibernateException, SQLException {<br />                    Query query=session.createSQLQuery("select count(*) from sys_user where  sys_user_name LIKE ?");<br />                        query.setParameter(0, "%"+seachName+"%");<br />                         Number number= (java.lang.Number) query.uniqueResult();<br />                         return number.intValue();</p>
<p>            }</p>
<p>            <br />        });<br />    }</p>
<p> </p>
<p>（2）跟据符合条件的数据总记录数，前台提供的当前页码数，每页显示的数据条数，生成分页对象</p>
<p>　　　　//获取分页对象（当前页码数，符合条件的数据的总记录数，每页显示的数据条数）<br />      　　　　　　  this.page=new Page(num, countRecords, pageRecords);</p>
<p> </p>
<p>（3）根据分页对象，查询条件，利用hibernate框架进行分页（可以用sql语句分页，此处用hql分页，也是hibernate的分页）</p>
<p>　　/**<br />     * <br />    * @Title: queryByQueryName <br />    * @Description: TODO(这里用一句话描述这个方法的作用) <br />    * @param queryName 查询条件的参数<br />    * @param firstResult 从第几条数据开始查询（分页对象提供）<br />    * @param maxResult   每页显示的数据条数（分页对象提供）<br />    * @return<br />    * @return List&lt;SysUser&gt;   返回指定页码的数据集合<br />    * @author 尚晓飞<br />    * @date 2014-7-1 下午5:02:07<br />     */<br />    @SuppressWarnings("unchecked")<br />    public List&lt;SysUser&gt; queryByQueryName( final String queryName,final Integer firstResult,final Integer maxResult){<br />        return (List&lt;SysUser&gt;)super.getHibernateTemplate().executeFind(new HibernateCallback&lt;List&lt;SysUser&gt;&gt;() {<br />            @Override<br />            public List&lt;SysUser&gt; doInHibernate(Session session)<br />                    throws HibernateException, SQLException {<br />                    Query query=session.createQuery("from SysUser where sysUserName like ?");//带查询条件的分页hql语句</p>
<p>                            query.setParameter(0,"%"+queryName+"%");<br />                            query.setFirstResult(firstResult);//从第几条数据开始查询<br />                            query.setMaxResults(maxResult);//每页显示多少条数据<br />                            return query.list();</p>
<p>            }<br />        });<br />    }</p>
<p> </p>
<p> </p>
<p>（4）分页类【仅供参考，省去set，get方法，代码简单，思路重要】</p>
<p>public class Page{<br />    //每页显示数据条数<br />    private int pageSize;<br />    //当前页码数<br />    private int pageNum;<br />    //数据库中总记录数<br />    private int rowCount;<br />    <br />    //总页数<br />    private int pageCount;<br />    //从多少条记录开始查询<br />    private int rowStart;<br />    <br />    //是否有上一页<br />    private boolean hasPrevious=false;<br />    //上一页<br />    private int previousPage;<br />    //首页<br />    private int firstPage;<br />    <br />    //是否有下一页<br />    private boolean hasNext=false;<br />    //下一页<br />    private int nextPage;<br />    //末尾页<br />    private int lastPage;<br />    <br />    //每页显示的页码数<br />    private int everyPageCount=10;<br />    //每页开始的页码数<br />    private int everyPageStart;<br />    //每页结束的页码数<br />    private int everyPageEnd;<br />    <br />    public Page(){}<br />    <br />    public Page(String pageSize, String pageNum, int rowCount) {<br />        this.pageSize=pageSize==null?10:Integer.parseInt(pageSize);<br />        this.pageNum=pageNum==null?1:Integer.parseInt(pageNum);<br />        this.rowCount=rowCount;<br />        <br />        <br />        <br />        //总页数<br />        this.pageCount=(int)Math.ceil(this.rowCount*1.0/this.pageSize);<br />        //当删除最后一页数据时，会造成pageNum&gt;pageCount,所以赋值。<br />        if(this.pageNum&gt;this.pageCount){<br />            this.pageNum=this.pageCount;<br />        }<br />        <br />        //每次从第几条记录开始查  select * from onesong limit rowStart ,pageSize<br />        this.rowCount=(this.pageNum-1)*this.pageSize;<br />        <br />        <br />        //当页码数大于1则存在上一页，和首页<br />        if(this.pageNum&gt;1){<br />            this.hasPrevious=true;<br />            this.previousPage=this.pageNum-1;<br />            this.firstPage=1;<br />        }<br />        <br />        //当页码数小于1则存在下一页，和尾页<br />        if(this.pageNum&lt;this.pageCount){<br />            this.hasNext=true;<br />            this.nextPage=this.pageNum+1;<br />            this.lastPage=this.pageCount;<br />        }<br />        <br />        <br />        //每页显示的页码数的开始和结束<br />        this.everyPageStart=(this.pageNum-this.pageSize/2)&lt;=0?1:(this.pageNum-this.pageSize/2);<br />        this.everyPageEnd=(this.everyPageStart+this.everyPageCount-1)&gt;=this.pageCount?pageCount:(this.everyPageStart+this.everyPageCount-1);<br />    }</p>
<p>}</p>
<p>　　　　　　　　</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 19:26:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/list/" title="list">list</a>, <a href="https://www.iamivan.net/tag/session/" title="session">session</a>, <a href="https://www.iamivan.net/tag/hibernate/" title="Hibernate">Hibernate</a>, <a href="https://www.iamivan.net/tag/page/" title="page">page</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>hibernate中带查询条件的分页的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1wkKb.html" rel="bookmark">存储过程实现&lpar;可带查询条件&sol;万能分页&sol;通用&rpar;&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				假设数据库中有张表,表名是UserName,字段分别是ID(int),Name(nvarchar),Age(int). 如果不带查询条件存储过程是: 复制代码 代码如下: CREATE PROCEDURE [dbo].[UserName] @pageIndex int, @pageSize int AS declare @min int; declare @max int; set @min=@pageSize*(@pageIndex-1)+1; set @max=@pageSize*@page			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLon68M.html" rel="bookmark">存储过程实现&lpar;可带查询条件&sol;万能分页&sol;通用&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				假设数据库中有张表,表名是UserName,字段分别是ID(int),Name(nvarchar),Age(int). 如果不带查询条件存储过程是: 复制代码 代码如下: CREATE PROCEDURE [dbo].[UserName] @pageIndex int, @pageSize int AS declare @min int; declare @max int; set @min=@pageSize*(@pageIndex-1)+1; set @max=@pageSize*@page			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZYjab.html" rel="bookmark">jsp-JSP如何从输入框中获取查询条件，在后台查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JSP如何从输入框中获取查询条件,在后台查询 一个JSP有个输入框,点击提交,怎么获取到这个输入框的值,写在后台的WHERE字段中作为查询条件,求教~~~ 解决方案 把输入框放在FORM 中 ,点击提交按钮 在Servlet 中通过HttpServletRequest.getParameter('输入框的NAME') 即可.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba71eXp.html" rel="bookmark">JSP如何从复选框中获取查询条件，在后台查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JSP如何从复选框中获取查询条件,在后台查询 如何进行车型的查询,默认value值			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkqZJM.html" rel="bookmark">关于Hibernate中数据查询问题，ListAll</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于Hibernate中数据查询问题,ListAll 这是是我的方法,红线是传过来的值,然后就是死循环? 解决方案 这个是调用的方法,请大神们,指点!!! 解决方案二: 你可以查看我的博客:http://blog.csdn.net/u014427391/article/details/50621111 解决方案三: 你可以查看我的博客:http://blog.csdn.net/u014427391/article/details/50621111 解决方案四: 你可以查看我的博客:ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ12y0b.html" rel="bookmark">在hibernate中命名查询，想要查询全部字段可以，但要查询某两个字段就不行了，能否解决呢。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在hibernate中命名查询,想要查询全部字段可以,但要查询某两个字段就不行了,能否解决呢.&lt;sql-queryname=&quot;select_5&quot;&gt;&lt;![CDATA[selectname,agefrompersonlimit3]]&gt;&lt;returnalias=&quot;s&quot;class=&quot;cn.itcast.bean.Person&quot;/&gt;&lt;/sql-query&gt;下面是构造函数packagecn.itcas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0rl8p.html" rel="bookmark">ThinkPHP 3&period;2&period;2 框架的模型中where查询条件总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ThinkPHP_3.2.3 框架的Model,结合官方手册及使用经验汇总出其大体用法: 核心转换方法:     $this-&gt;parseWhere($where);    $whereStr .= $this-&gt;parseThinkWhere($key, $val);    $this-&gt;parseWhereItem($this-&gt;parseKey($key), $val);     // 内连接.左连接.右连接 UserModel.class.php    // SQL:( S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRXNBGz.html" rel="bookmark">hibernate中HQL查询count返回query取得其长度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 QueryResult qr = new QueryResult&lt;T&gt;();Query query = this.getSession().createQuery(&quot;select count(o) from &quot;+entityName+&quot; o &quot; +(wherejpql==null? &quot;&quot;: &quot; where &quot;+ wherejpql));qr.setTotalRecord(query.getSingleRe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QO87p.html" rel="bookmark">ThinkPHP 分页中带入查询（搜索）条件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多情况下,分页还会带入查询条件,而这时查询往往是不固定的.例如常见的搜索,需要根据用户查询的关键字来进行检索,在搜索结果太多时,就需要将搜索结果进行合理分页. ThinkPHP 分页可以很容易的实现对不固定查询参数的支持.具体实现是给分页类的 parameter 属性赋值或者直接实例化分页类时传入查询参数.下面以例子来说明. parameter 属性赋值 例如要检索用户表中状态为 1 (status=1) 并且电子包含 163 的用户,当提交表单时(注意表单是 GET 方式提交),形成的 UR			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0NnAz.html" rel="bookmark" class="title">jqgrid实现的树怎么编码展开某个树节点</a>
					<div>
						问题描述 jqgrid实现的树怎么编码展开某个树节点 gridComplete:function(){ //2为树根结点的id var record = jQuery(&quot;#treegrid2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDxKlz.html" rel="bookmark" class="title">在ASP&period;NET中实现Url Rewriting</a>
					<div>
						asp.net 概要 分析如何使用微软提供的ASP.NET来对动态产生的URL地址进行网址重写. 网址重写是实现一种截取网址请求并将其进行处理后重新指向到一个指定的网址的过程.作者本人在对各种实现网址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgqXEz.html" rel="bookmark" class="title">在Dreamweaver中精细化你的表格外观</a>
					<div>
						dreamweaver 表格无疑是网页制作中最为重要的一个对象,因为通常的网页都是依靠表格来进行版面布局和各元素组织的,它直接决定了网页是否美观,内容组织是否清晰.但很多朋友常常忽视对表格的研究,而把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zG7Xvz.html" rel="bookmark" class="title">c&num;中使用自带的邮件发送组件发送邮件～</a>
					<div>
						发送邮件 在使用该组件之前需要应用组件. using System.Web.Mail; 应用组件后,便可以使用他的发送属性及方法. 发送函数如下: private void sendMailBySmt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxKYQb.html" rel="bookmark" class="title">使用Quick在Java对象和XML之间进行转换</a>
					<div>
						近几年来,XML 的确给编程世界带来了巨大冲击.然而,XML 应用程序的复杂 性(从一开始就很复杂)在最近几年中并没有减少多少.开发人员仍要花几个星 期的时间(即使不是几个月)来学习复杂的 XML 语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGX7qb.html" rel="bookmark" class="title">win7系统开机弹出Windows Installer窗口的解决方法</a>
					<div>
						  1.获取账户管理员权限,按Win+R打开运行,输入services.msc并回车; 2.找到Windows Installer,点击启动或重启动; 3.若无法启动,可到微软官方网站下载Window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Yqa4M.html" rel="bookmark" class="title">应对雾霾，哪款口罩适合你？</a>
					<div>
						作者:百度知道网友 政委祖尔阿巴(医生,医学学士) 最近全国各地都在上演雾霾围城的戏码,PM2.5.PM10这些挂着洋名儿的悬浮颗粒物们以肉眼可见的形式攻陷了一个又一个大城市.如何在云烟雾绕中保护自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWPemp.html" rel="bookmark" class="title">安全、无线、云成为促进中国网络设备市场增长的三大动力</a>
					<div>
						几年我国网络设备行业发展迅速,受益于网络设备行业生产技术不断提高以及下游市场不断扩大,网络设备行业在国内市场上发展形势十分良好. 随着我国政府和企事业单位在信息化建设与改造上的投入逐年增加,电信运营商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Na3Az.html" rel="bookmark" class="title">新人 学习方向-我想知道一名程序员需要都了解什么知识？</a>
					<div>
						问题描述 我想知道一名程序员需要都了解什么知识? 我现在是一名大二软件专业的学生,我挺喜欢这个专业的,但是学了一年多有点迷茫,我想知道如果我想好好走下去,我都应该了解什么知识,比如都需要学会什么语言, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7m2LM.html" rel="bookmark" class="title">遍历-求一个批处理删除文件</a>
					<div>
						问题描述 求一个批处理删除文件 遍历当前目录下的所有子文件夹,如果子文件夹中不包含特定后缀名的文件则删除该文件夹. 解决方案 for /f &quot;delims=&quot; %%i in ('d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDnGdz.html" rel="bookmark" class="title">Nginx模块参考手册：Image Filter模块&lpar;Image Filter&rpar;</a>
					<div>
						如果要使用这些模块,则必须在编译时指定相关的编译参数. 这个模块可以在传递图片文件(http://www.aliyun.com/zixun/aggregation/16701.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydO4Pb.html" rel="bookmark" class="title">轻量函数式 JavaScript：十、函数式异步</a>
					<div>
						这本书读到这里,你现在拥有了所有 FP -- 我称之为 &quot;轻量函数式编程&quot; -- 基础的原始概念.在这一章中,我们会将这些概念应用于一种不同的环境,但不会出现特别的新想法. 至此, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z0ADz.html" rel="bookmark" class="title">帝国cms采集图文教程（中）</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 上一讲我们介绍了帝国cms采集基本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY8yOp.html" rel="bookmark" class="title">java-安卓 handler 初学者问题</a>
					<div>
						问题描述 安卓 handler 初学者问题 为什么我还没有new出handler对象他也可以调用obtainmessage方法和sendmessage方法啊 解决方案 空指针是运行时异常,编译不会报错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AOO4z.html" rel="bookmark" class="title">【重磅】人工智能长篇报告：1&period;5万字告诉你AI的应用究竟对人类社会经济有哪些影响</a>
					<div>
						雷锋网(公众号:雷锋网)按:本报告为2016年7月7日由白宫和纽约大学信息法律协会联合举办的&quot;AI Now&quot;人工智能研讨会内容之总结.文章来源 The AI Now Report, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqjN8p.html" rel="bookmark" class="title">java-设计模式-观察者模式</a>
					<div>
						简单观察者模式 观察者模式中,一个被观察者管理所有依赖它的观察者,并且在本身的状态改变时主动发出通知.这通常通过呼叫各观察者所提供的方法来实现.此种模式通常被用来实现事件处理系统. 角色 抽象被观察者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX091vp.html" rel="bookmark" class="title">互联网夹心层：网聚的是力量还是荒诞梦想&quest;</a>
					<div>
						摘要: 没有花儿香,没有树高,我是一棵无人知道的小草.在互联网里面,有这么一群无人知道的小草,他们的名字叫做:草根站长. 记得数年之前,在一次互联网站长大会上见过已经有了白 没有花儿香,没有树高,我是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRZ4Ap.html" rel="bookmark" class="title">问题&colon;B&sol;S下&comma;向文本框中输入值时&comma;自动更新当前页面中DataGrid的记录</a>
					<div>
						问题描述 本人在ASP.NET下,碰到这样一个难题:在a.aspx页面中,有一个textBox控件和一个DataGiid控件,要求DataGrid中的记录随着textBox控件中所输入值的变化而变化, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5vWWp.html" rel="bookmark" class="title">调用c&sol;c&plus;&plus; dll</a>
					<div>
						问题描述 hModule=LoadLibrary(&quot;testdll&quot;);使用winapi无法load到dll,[DllImport(&quot;testdll&quot;)]但直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn249M.html" rel="bookmark" class="title">spring如何实现默认跳转</a>
					<div>
						问题描述 web.xml中配置了&lt;welcome-file-list&gt; &lt;welcome-file&gt;welcome&lt;/welcome-file&gt; &lt;/welc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqa72p.html" rel="bookmark" class="title">搜房网早盘一度跌至8&period;65美元</a>
					<div>
						摘要: 查看最新行情 10月24日晚间消息,北京链家地产今日宣布11月1日终止与 搜房网 (NYSE: SFUN )合作,后者在今日开盘大跌7.02%,报9.53美元,随后持续下跌. 截至发稿时止,搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW70AGM.html" rel="bookmark" class="title">Python os模块中的isfile&lpar;&rpar;和isdir&lpar;&rpar;函数均返回false问题解决方法&lowbar;python</a>
					<div>
						今天在写一个linux下自动备份指定目录下的所有目录的脚本时,遇到了一个问题,由于我是需要备份目录,所以,需要判断扫描的文件是否为目录,当我用os.path.isdir()来判断的时候,发现所有文件均 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NK45p.html" rel="bookmark" class="title">交叉编译openresty遇到依赖包问题</a>
					<div>
						问题描述 交叉编译openresty遇到依赖包问题 我交叉编译openresty,这个软件需要有依赖包,pcre-devel ,这个依赖包怎么处理 解决方案 http://blog.chinaunix ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2rj1M.html" rel="bookmark" class="title">如何将TabControl控件中的页面切换按钮变灰不可用</a>
					<div>
						问题描述 解决方案 解决方案二:在SelectedIndexChanged事件判断当前SelectedIndex的值,不符合条件就赋值为其它值.比如,if(tabControl1.SelectedIn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV0wDz.html" rel="bookmark" class="title">websphere 6&period;0 升级到 7&period;5 问题</a>
					<div>
						问题描述 websphere6.0升级到7.5现在想知道有那些影响.1com.ibm.mq.MQC2com.ibm.mq.exitClasspath3STRMQMCHLI这三个有什么影响?不知道还有没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXW76z.html" rel="bookmark" class="title">富士康回应&OpenCurlyDoubleQuote;跳楼门&rdquo;首度检讨</a>
					<div>
						今年3月以来,富士康厂区接连发生跳楼.坠楼事件,这一全球500强之一的企业深陷&quot;跳楼门&quot;.富士康这艘庞大的工业&quot;航母&quot;,究竟出了什么&quot;故障&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJee88p.html" rel="bookmark" class="title">C&num; 打印问题，第一次打印预览和第二次打印预览不一样！！</a>
					<div>
						问题描述 一次预览能预览出我要的效果,但是在按次打印预览,打印预览和第一张不一样. 解决方案 解决方案二:看看报表的数据源有木有问题					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdVeQM.html" rel="bookmark" class="title">互联网大会系列高端访谈&mdash;&mdash;高新民谈责任与活力</a>
					<div>
						8月2日,距离2011(第十届)中国互联网大会(www.2011cic.cn)召开还有21天,大会系列高端访谈持续推进.继胡启恒理事长走进访谈间后,中国互联网协会副理事长高新民在中国互联网大会组委会副 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Y706p.html" rel="bookmark" class="title">javascript-新人，前端，JavaScript需要会到什么程度？</a>
					<div>
						问题描述 新人,前端,JavaScript需要会到什么程度? 一个月前开始,对前端很感兴趣,已经看完了HTML CSS JavaScript的基础内容. 打算一直学下去当一个前端工程师!! 但是Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Yrvyb.html" rel="bookmark" class="title">混合云探秘：定义、用例及其优势</a>
					<div>
						自本世纪初首次提出概念后,混合云几乎一直是所有IT专业人士谈论的话题.尽管也可以指能够连接到使用云资源的特定服务,但在本质上术语混合云指的是混合了私有云与公有云服务的任一环境.混合云模型因能够提供更大 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
